Loading...
Searching...
No Matches
Opm::EclStone1MaterialParams< Traits, GasOilLawT, OilWaterLawT > Class Template Reference

Default implementation for the parameters required by the three-phase capillary pressure/relperm Stone 2 model used by Eclipse. More...

`#include <EclStone1MaterialParams.hpp>`

Inheritance diagram for Opm::EclStone1MaterialParams< Traits, GasOilLawT, OilWaterLawT >:

## Public Types

using | GasOilParams = typename GasOilLawT::Params
using | OilWaterParams = typename OilWaterLawT::Params

## Public Member Functions

| EclStone1MaterialParams ()
| The default constructor.
void | finalize ()
| Finish the initialization of the parameter object.
const GasOilParams & | gasOilParams () const
| The parameter object for the gas-oil twophase law.
GasOilParams & | gasOilParams ()
| The parameter object for the gas-oil twophase law.
void | setGasOilParams (std::shared_ptr< GasOilParams > val)
| Set the parameter object for the gas-oil twophase law.
const OilWaterParams & | oilWaterParams () const
| The parameter object for the oil-water twophase law.
OilWaterParams & | oilWaterParams ()
| The parameter object for the oil-water twophase law.
void | setOilWaterParams (std::shared_ptr< OilWaterParams > val)
| Set the parameter object for the oil-water twophase law.
void | setSwl (Scalar val)
| Set the saturation of "connate" water.
Scalar | Swl () const
| Return the saturation of "connate" water.
Scalar | krocw () const
| Return the oil relperm for the oil-water system at the connate water saturation.
void | setEta (Scalar val)
| Set the exponent of the extended Stone 1 model.
Scalar | eta () const
| Return the exponent of the extended Stone 1 model.
template<class Serializer>
void | serializeOp (Serializer &serializer)
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class Traits, class GasOilLawT, class OilWaterLawT>
class Opm::EclStone1MaterialParams< Traits, GasOilLawT, OilWaterLawT >

Default implementation for the parameters required by the three-phase capillary pressure/relperm Stone 2 model used by Eclipse.

Essentially, this class just stores the two parameter objects for the twophase capillary pressure laws.

## Member Function Documentation

## setSwl()

template<class Traits, class GasOilLawT, class OilWaterLawT>

void Opm::EclStone1MaterialParams< Traits, GasOilLawT, OilWaterLawT >::setSwl | ( | Scalar | val | ) |

inline

Set the saturation of "connate" water.

According to

http://www.glossary.oilfield.slb.com/en/Terms/c/connate_water.aspx

the connate water is the water which is trapped in the pores of the rock during the rock's formation. For our application, this is basically a reduction of the rock's porosity...

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/EclStone1MaterialParams.hpp